lxdream.org :: Issues
lxdream 0.9.1
released Jun 29
Download Now

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000019lxdreamGD-Rompublic2006-09-12 18:132007-10-31 15:54
Reporternkeynes 
Assigned Tonkeynes 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionM1 
Target VersionFixed in Version 
Summary0000019: Implement native cd driver
DescriptionAs opposed to image-based drivers. We can support either libcdio or direct linux (or possibly both). Can we depend on libcdio being installed?
TagsNo tags attached.
MilestoneM4
Attached Files

- Relationships
child of 0000007closednkeynes ATAPI packet commands tracking bug 

-  Notes
(0000009)
nkeynes (administrator)
2006-09-12 18:14

Also note UI issues with this bug - Mount needs to be able to select either a real device or an image file.
(0000010)
anonymous (viewer)
2007-01-01 03:52

Basic linux MMC driver is in for M2 now.
(0000016)
nkeynes (administrator)
2007-01-15 15:49

Remaining issues:
  * Driver should detect disc eject/insert and instruct the GD core accordingly. Most importantly it needs to flush the cached TOC.
  * Not all read modes supported (and easily can be)
  * Should split into linux-specific and generic MMC modules.
  * Linux-specific file needs to be protected by configure so its not compiled on non-linux systems.
  * Error codes should be checked to ensure they're recognized DC error codes, and remap them if not.
  * No way to attach the device through UI - something like the way VMware does it would be nifty
(0000028)
nkeynes (administrator)
2007-02-06 18:09
edited on: 2007-02-06 18:10

Fixed the first 2 points.

3 and 4 are portability concerns - deferring to future version.
5 is hard to do without a full list of possible codes - deferred
6 will be done as part of the UI rewrite

(0000041)
nkeynes (administrator)
2007-10-31 15:54

Resolving this as done

- Issue History
Date Modified Username Field Change
2006-09-12 18:13 nkeynes New Issue
2006-09-12 18:13 nkeynes Status new => assigned
2006-09-12 18:13 nkeynes Assigned To => nkeynes
2006-09-12 18:13 nkeynes Relationship added child of 0000007
2006-09-12 18:14 nkeynes Note Added: 0000009
2006-09-12 18:16 nkeynes Milestone => M2
2007-01-01 03:52 anonymous Note Added: 0000010
2007-01-01 04:02 nkeynes Priority normal => low
2007-01-15 15:49 nkeynes Note Added: 0000016
2007-02-06 18:09 nkeynes Note Added: 0000028
2007-02-06 18:10 nkeynes Milestone M2 => M3
2007-02-06 18:10 nkeynes Note Edited: 0000028
2007-09-19 23:21 nkeynes Milestone M3 => M4
2007-10-31 15:54 nkeynes Status assigned => resolved
2007-10-31 15:54 nkeynes Resolution open => fixed
2007-10-31 15:54 nkeynes Note Added: 0000041
.